oCoreoCore Docs
API Reference

Webhooks

Handle Bitbucket webhook

Receives and validates Bitbucket push webhook events (HMAC-validated, no JWT).

POST
/webhooks/bitbucket/{projectId}

Path Parameters

projectIdRequiredstring

Project ID

curl -X POST "//api.ocore.dev/api/webhooks/bitbucket/<string>"

Accepted

{
  "status": "string"
}

Handle GitHub App webhook

Receives GitHub App installation events (HMAC-validated with app-level secret).

POST
/webhooks/github-app/{orgId}

Path Parameters

orgIdRequiredstring

Organization ID

curl -X POST "//api.ocore.dev/api/webhooks/github-app/<string>"

Accepted

{
  "status": "string"
}

Handle GitHub webhook

Receives and validates GitHub push webhook events (HMAC-validated, no JWT).

POST
/webhooks/github/{projectId}

Path Parameters

projectIdRequiredstring

Project ID

curl -X POST "//api.ocore.dev/api/webhooks/github/<string>"

Accepted

{
  "status": "string"
}

Handle GitLab webhook

Receives and validates GitLab push webhook events (HMAC-validated, no JWT).

POST
/webhooks/gitlab/{projectId}

Path Parameters

projectIdRequiredstring

Project ID

curl -X POST "//api.ocore.dev/api/webhooks/gitlab/<string>"

Accepted

{
  "status": "string"
}

Was this page helpful?